Axelered AI
API Config

Update Parser Configuration

PATCH
/w/{workspace_id}/config/parsers/{parser_id}

Perform a partial update of a parser configuration. The "config" object supports shallow merging: updating a specific provider field will preserve others.

Path Parameters

parser_id*Parser Id
Formatuuid
workspace_id*Workspace Id
Formatuuid

Request Body

application/json

Response Body

application/json

application/json

{  "data": {    "config": {      "apiKey": "sk-...",      "model": "mistral-ocr-latest",      "provider": "mistral"    },    "createdAt": "2026-05-20T10:14:00.000Z",    "id": "018f8e02-4b2a-7c9d-8d4e-123456789abc",    "modifiedAt": "2026-05-20T10:14:00.000Z",    "name": "Mistral OCR",    "workspaceId": "018f8e02-4b2a-7c9d-8d4e-987654321abc"  },  "status": "ok"}
{  "detail": [    {      "loc": [        "body",        "name"      ],      "msg": "Field required",      "type": "missing"    },    {      "loc": [        "body",        "config",        "provider"      ],      "msg": "Input should be 'axelered', 'mistral' or 'markitdown'",      "type": "enum",      "input": "invalid-provider"    }  ]}